{% extends "wagtailadmin/base.html" %}
{% load i18n %}
{% block titletag %}{% blocktrans with type=newsitem_opts.verbose_name %}Creating {{ type }}{% endblocktrans %}{% endblock %}

{% block bodyclass %}menu-news{% endblock %}

{% block content %}
    {% trans "New" as new_str %}
    {% trans "news post" as newspost_str %}

    {% block header %}
      {% include "wagtailadmin/shared/header.html" with title=new_str subtitle=newspost_str icon="news" merged=True %}
    {% endblock %}

    <form action="{% block form_action %}{% url 'wagpress_news:create' pk=newsindex.pk %}{% endblock %}" method="POST">
        {% csrf_token %}
        {{ edit_handler.render_form_content }}
        <footer>
            <ul>
                <li class="actions">
                  {% block form_actions %}
                    <div class="dropdown dropup dropdown-button match-width">
                        <button class="button" type="submit" name="action-draft" value="draft">{% trans 'Save draft' %}</button>
                        <div class="dropdown-toggle icon icon-arrow-up"></div>
                        <ul role="menu">
                            <li><input class="button" type="submit" name="action-publish" value="{% trans 'Publish' %}" /></li>
                        </ul>
                    </div>
                    {% endblock %}
                </li>
                <li class="actions preview">
                    <button class="button icon icon-view" name="action-preview" value="woop">
                        {% trans 'Preview' %}
                    </button>
                </li>
            </ul>
        </footer>
    </form>
{% endblock %}

{% block extra_css %}
    {% include "wagtailadmin/pages/_editor_css.html" %}
    {{ edit_handler.form.media.css }}
    {{ view.media.css }}
{% endblock %}
{% block extra_js %}
    {% include "wagtailadmin/pages/_editor_js.html" %}
    {{ edit_handler.form.media.js }}
  	{{ edit_handler.html_declarations }}

  	{{ view.media.js }}
{% endblock %}
